
module StandaloneIpopt

  using LinearAlgebra, ReverseDiff, ForwardDiff, Ipopt, SparseArrays, SparseDiffTools

  export ipopt_optimize, ipopt_nlsolve

  const DEF_IPOPT_KWARGS = Dict(:max_iter=>100, :print_level=>5, 
                                :tol=>1e-6, :sb=>"yes")
  const SPBOOL_OR_NOTHING = Union{Nothing, SparseMatrixCSC{Bool,Int64}}

  include("utils.jl")

  include("forwrapper.jl")

  include("ipopt_optimize.jl")

end


