
# A very simple test to check the zero finder. As an added bonus, we add an
# extra keyword because the problem is quadratic:

const M = Symmetric([exp(-abs(x-y)) for x in 1:10, y in 1:10])
const c = [cos(x) for x in 1:10]
obj(v)  = dot(v, M, v) + dot(v, c)
objg(v) = ForwardDiff.gradient(obj, v)
res_opt = ipopt_optimize(obj, normalize(ones(length(c))), 
                         mixed_ad=true, print_level=0,
                         hessian_constant="yes")
res_nl  = ipopt_nlsolve(objg, normalize(ones(length(c))), print_level=0)

@assert res_opt.minimizer ≈ res_nl.minimizer

